Package Details: hdf5-openmpi-java 1.10.5-1

Git Clone URL: https://aur.archlinux.org/hdf5-openmpi-java.git (read-only)
Package Base: hdf5-openmpi-java
Description: General purpose library and file format for storing scientific data (openmpi version) (full version including its Java Native Interfaces)
Upstream URL: https://portal.hdfgroup.org/display/support
Licenses: custom
Conflicts: hdf5, hdf5-java, hdf5-openmpi
Provides: hdf5, hdf5-cpp-fortran, hdf5-fortran-openmpi, hdf5-java, hdf5-openmpi
Replaces: hdf5-fortran-openmpi
Submitter: eleftg
Maintainer: eleftg
Last Packager: eleftg
Votes: 3
Popularity: 0.042794
First Submitted: 2017-10-19 22:30
Last Updated: 2019-05-06 08:18

Required by (180)

Sources (2)

Latest Comments

MartinDiehl commented on 2019-04-12 21:52

The patch for MPI 4 compatibility is not needed anymore. Please find an updated PKGBUILD for hdf5 1.10.5 on https://webshare.mpie.de/index.php?7e84df3a19

eleftg commented on 2019-02-19 22:57

@MartinDiehl: Thanks a lot for bringing this to my attention!

MartinDiehl commented on 2019-02-15 20:21

there is a new patch for MPI 4 compatibility

https://dbkt.hdfgroup.org/original/1X/2e17280ce6a1ede727c75e865c2e2af351f09696.diff

The modifications I used for this package are here https://webshare.mpie.de/index.php?685bdc8a61

greyltc commented on 2019-02-03 18:00

Please add hdf5-java to provides and conflicts.

eleftg commented on 2018-10-09 16:52

Now fixed. Thanks petronny

petronny commented on 2018-10-09 07:09

The Open MPI wrapper compiler was unable to find the specified compiler
/usr/bin/gfortran in your PATH.

Please add gcc-fortran to makedepends.

MartinDiehl commented on 2018-09-23 07:00

FYI, I have reported this already upstream: If HDF5 is build with cmake, the high level library for Fortran is called libhdf5_hl_fortran while it is called libhdf5hl_fortran when using configure. Also, the fortran module files are places in /usr/include/shared and /usr/include/static in the former case but in /usr/include in the latter.

Therefore, hdf5-openmpi-java does not fully replaces hdf5-openmpi at the moment. Would it be possible to use a similar, cmake based PKGBUILD as in hdf5-openmpi in hdf5-openmpi-java?

eleftg commented on 2018-06-18 22:19

Fixed. Thanks again

petronny commented on 2018-06-16 17:55

I get

../../java/src/hdf/overview.html:9: error: self-closing element not allowed
<p />There are a large number of functions in the HDF5
^
../../java/src/hdf/overview.html:14: error: unknown attribute: COLS
<center><table BORDER=1 COLS=1 WIDTH="71%" BGCOLOR="#dbeaf5" >
                        ^
../../java/src/hdf/overview.html:14: warning: attribute obsolete, use CSS instead: BGCOLOR
<center><table BORDER=1 COLS=1 WIDTH="71%" BGCOLOR="#dbeaf5" >
                                           ^
../../java/src/hdf/overview.html:20: error: no summary or caption for table
</table></center>
^                                                                                                                                                                                                                                                                              Generating javadoc/help-doc.html...
[done in 3789 ms]

like hdf4-java. You may need to set JAVADOC='javadoc -Xdoclint:none' too.